import { Skeleton as AntdSkeleton, SkeletonProps } from "antd";
import classNames from "classnames";
import React from "react";
import { tySkeletonCls } from "./styled";

export const Skeleton: React.FC<SkeletonProps> = props => {
  return <AntdSkeleton {...props} className={classNames(tySkeletonCls, props.className)} />;
};

Object.assign(Skeleton, AntdSkeleton);
